// Copyright Earl Warren <contact@earl-warren.org>
// Copyright Loïc Dachary <loic@dachary.org>
// SPDX-License-Identifier: MIT

package f3

import "time"

type Comment struct {
	Common
	PosterID *Reference `json:"poster_id"`
	Created  time.Time  `json:"created"`
	Updated  time.Time  `json:"updated"`
	Content  string     `json:"content"`
}

func (o *Comment) GetReferences() References {
	references := o.Common.GetReferences()
	return append(references, o.PosterID)
}

func (o Comment) GetCmpIgnoreFields() []string {
	return append(o.Common.GetCmpIgnoreFields(), ".Updated", ".Created")
}

func (o *Comment) Clone() Interface {
	clone := &Comment{}
	*clone = *o
	return clone
}
