// Copyright Earl Warren <contact@earl-warren.org>
// Copyright Loïc Dachary <loic@dachary.org>
// SPDX-License-Identifier: MIT

package f3

type Reaction struct {
	Common
	UserID  *Reference `json:"user_id"`
	Content string     `json:"content"`
}

func (o *Reaction) GetReferences() References {
	references := o.Common.GetReferences()
	return append(references, o.UserID)
}

func (o *Reaction) Clone() Interface {
	clone := &Reaction{}
	*clone = *o
	return clone
}
